echo off
echo Type "install c:" to install DPaint on your hard disk c:
echo in the subdirectory \DPaint.
echo Make sure you have the DPaint I program disk in drive A:.
echo (Type Control-C to abort.)
echo --
if %1. == . goto error2
if %1 == a: goto error2
if %1 == A: goto error2
pause
echo on
%1
cd \
echo off
if exist dpaint.exe goto error2
echo on
md dpaint
cd dpaint
md lores
md brushes
md printer
copy a:\*.*
echo off
if ERRORLEVEL 1 goto error
echo on
copy a:\lores lores\.
echo off
if ERRORLEVEL 1 goto error
echo on
copy a:\brushes brushes\.
echo off
if ERRORLEVEL 1 goto error
echo on
copy a:printer printer\.
echo off
if ERRORLEVEL 1 goto error
echo on
setup
echo off
if ERRORLEVEL 1 goto error
echo on
a:
echo off
echo Installation completed.
echo To run dpaint:
echo   Make your hard disk the current drive   c:
echo   Make \DPAINT your current directory     cd \dpaint
echo   Type                                    DP
echo To change to mouse, joystick, or a new display mode:
echo   Type                                    SETUP
goto done
:error
echo THE INSTALLATION WAS NOT SUCCESSFULL! CHECK ABOVE FOR ERRORS.
goto done
:error2
echo You didn't supply the right drive to install the program onto.
echo If your hard disk is drive C: then type
echo           install c:
:done

